'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var bytes = require('../bytes.js');
var base = require('./base.js');

const base16 = base.withAlphabet({
  prefix: 'f',
  name: 'base16',
  alphabet: '0123456789abcdef',
  encode: bytes.toHex,
  decode: bytes.fromHex
});
const base16upper = base.withAlphabet({
  prefix: 'F',
  name: 'base16upper',
  alphabet: '0123456789ABCDEF',
  encode: bytes.toHex,
  decode: bytes.fromHex
});

exports.base16 = base16;
exports.base16upper = base16upper;
